/* Fixed Point functions: */
#include <arch.h>

CONST fixedpoint FpMult(fixedpoint a,fixedpoint b)
{
  signed long long res;
  res=((((signed long long)a)*((signed long long)b)+((long long)1<<15)))>>16;

  return (fixedpoint)res;
}

CONST fixedpoint FpDiv(fixedpoint a,fixedpoint b)
{
  signed long long res;
  res=(((signed long long)a)<<16)/((signed long long)b);

  return (fixedpoint)res;
}

